Start Worker
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"system_info": {}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start"
payload = { "system_info": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({system_info: {}})
};
fetch('https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'system_info' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start"
payload := strings.NewReader("{\n \"system_info\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"system_info\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"system_info\": {}\n}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"worker_queue_name": "<string>",
"environment_name": "<string>",
"task_queue_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>",
"litellm_api_url": "<string>",
"litellm_api_key": "<string>",
"heartbeat_interval": 60,
"otel_enabled": true,
"otel_exporter_otlp_endpoint": "<string>",
"otel_service_name": "agent-control-plane-worker",
"otel_traces_sampler": "parentbased_always_on",
"otel_traces_sampler_arg": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Start Worker
Start a worker and fetch its configuration.
This endpoint is called by workers on startup with just worker_id and API key. It returns all necessary configuration for the worker to connect to Temporal.
Args: worker_id: Worker ID (UUID created in UI) start_request: System information from worker
Returns: Complete worker configuration including Temporal credentials
POST
/
api
/
v1
/
workers
/
{worker_id}
/
start
Start Worker
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"system_info": {}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start"
payload = { "system_info": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({system_info: {}})
};
fetch('https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'system_info' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start"
payload := strings.NewReader("{\n \"system_info\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"system_info\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/workers/{worker_id}/start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"system_info\": {}\n}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"worker_queue_name": "<string>",
"environment_name": "<string>",
"task_queue_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>",
"litellm_api_url": "<string>",
"litellm_api_key": "<string>",
"heartbeat_interval": 60,
"otel_enabled": true,
"otel_exporter_otlp_endpoint": "<string>",
"otel_service_name": "agent-control-plane-worker",
"otel_traces_sampler": "parentbased_always_on",
"otel_traces_sampler_arg": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
application/json
Request to start a worker and fetch its config
Response
Successful Response
Worker configuration response
Was this page helpful?